summaryrefslogtreecommitdiff
path: root/tests/factor
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-09-26 19:13:28 +0000
committerJim Meyering <jim@meyering.net>1998-09-26 19:13:28 +0000
commit219c7a280d3c6fef85fdd848861edef2bd276ec1 (patch)
treeaf5efa02b942a660f6797eb46a8b3880c5addef5 /tests/factor
parent3f9e8072e84dbbc9f75d8eb3144919fe27d7044f (diff)
downloadcoreutils-219c7a280d3c6fef85fdd848861edef2bd276ec1.tar.xz
.
Diffstat (limited to 'tests/factor')
-rw-r--r--tests/factor/Makefile.am4
-rw-r--r--tests/factor/Makefile.in5
-rw-r--r--tests/factor/factor-tests19
3 files changed, 22 insertions, 6 deletions
diff --git a/tests/factor/Makefile.am b/tests/factor/Makefile.am
index 9d1dee1d9..1aeba0381 100644
--- a/tests/factor/Makefile.am
+++ b/tests/factor/Makefile.am
@@ -4,11 +4,11 @@
x = factor
explicit =
maint_gen = 1.X 1a.X 2.X 3.X 4.X a.X b.X c.X d.X e.X f.X g.X h.X i.X j.X k.X \
-l.X m.X n.X o.X p.X q.X s.X t.X u.X v.X w.X x.X y.X
+l.X m.X n.X o.X p.X q.X s.X t.X u.X v.X w.X x.X y.X z.X
run_gen = 1.O 1.E 1a.O 1a.E 2.O 2.E 3.O 3.E 4.O 4.E a.O a.E b.O b.E c.O c.E \
d.O d.E e.O e.E f.O f.E g.O g.E h.O h.E i.O i.E j.O j.E k.O k.E l.O l.E m.O \
m.E n.O n.E o.O o.E p.O p.E q.O q.E s.O s.E t.O t.E u.O u.E v.O v.E w.O w.E \
-x.O x.E y.O y.E
+x.O x.E y.O y.E z.O z.E
##test-files-end
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/factor/Makefile.in b/tests/factor/Makefile.in
index 91bad6eba..667d71749 100644
--- a/tests/factor/Makefile.in
+++ b/tests/factor/Makefile.in
@@ -4,7 +4,6 @@
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
-
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
@@ -102,11 +101,11 @@ l = @l@
x = factor
explicit =
maint_gen = 1.X 1a.X 2.X 3.X 4.X a.X b.X c.X d.X e.X f.X g.X h.X i.X j.X k.X \
-l.X m.X n.X o.X p.X q.X s.X t.X u.X v.X w.X x.X y.X
+l.X m.X n.X o.X p.X q.X s.X t.X u.X v.X w.X x.X y.X z.X
run_gen = 1.O 1.E 1a.O 1a.E 2.O 2.E 3.O 3.E 4.O 4.E a.O a.E b.O b.E c.O c.E \
d.O d.E e.O e.E f.O f.E g.O g.E h.O h.E i.O i.E j.O j.E k.O k.E l.O l.E m.O \
m.E n.O n.E o.O o.E p.O p.E q.O q.E s.O s.E t.O t.E u.O u.E v.O v.E w.O w.E \
-x.O x.E y.O y.E
+x.O x.E y.O y.E z.O z.E
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
noinst_SCRIPTS = $x-tests
diff --git a/tests/factor/factor-tests b/tests/factor/factor-tests
index 320f1d606..c3a7567e5 100644
--- a/tests/factor/factor-tests
+++ b/tests/factor/factor-tests
@@ -511,8 +511,25 @@ else
esac
fi
test -s y.E || rm -f y.E
+$xx -1 > z.O 2> z.E
+code=$?
+if test $code != 1 ; then
+ $echo "Test z failed: ../../src/factor return code $code differs from expected value 1" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp z.O $srcdir/z.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed z"; fi ;;
+ 1) $echo "Test z failed: files z.O and $srcdir/z.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test z may have failed." 1>&2;
+ $echo The command "cmp z.O $srcdir/z.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s z.E || rm -f z.E
if test $errors = 0 ; then
- $echo Passed all 29 tests. 1>&2
+ $echo Passed all 30 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi